﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
#nullable disable
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace DataLayer.Entities;

[Index("EndDate", Name = "idx_end_date")]
[Index("StartDate", Name = "idx_start_date")]
public partial class Booking
{
    [Key]
    [Column("id")]
    public Guid Id { get; set; }

    [Column("space_id")]
    public Guid SpaceId { get; set; }

    [Column("client_id")]
    public Guid ClientId { get; set; }

    [Column("price", TypeName = "decimal(18, 6)")]
    public decimal? Price { get; set; }

    [Column("start_date", TypeName = "date")]
    public DateTime StartDate { get; set; }

    [Column("end_date", TypeName = "date")]
    public DateTime EndDate { get; set; }

    [Column("is_deleted")]
    public bool IsDeleted { get; set; }

    [ForeignKey("ClientId")]
    [InverseProperty("Bookings")]
    public virtual Client Client { get; set; }

    [InverseProperty("Booking")]
    public virtual ICollection<Invoice> Invoices { get; set; } = new List<Invoice>();

    [ForeignKey("SpaceId")]
    [InverseProperty("Bookings")]
    public virtual Space Space { get; set; }
}